/**
 * mock-xmlhttprequest v8.0.0
 * (c) 2022 Bertrand Guay-Paquet
 * @license ISC
 */
'use strict';

const HeadersContainer = require('./HeadersContainer.cjs');

/**
 * Request parameters from MockXhr.send()
 */
class RequestData {
    constructor(_requestHeaders, _method, _url, _body = null, _withCredentials = false) {
        this._requestHeaders = _requestHeaders;
        this._method = _method;
        this._url = _url;
        this._body = _body;
        this._withCredentials = _withCredentials;
    }
    /**
     * @returns Request headers container
     */
    get requestHeaders() { return new HeadersContainer(this._requestHeaders); }
    get method() { return this._method; }
    get url() { return this._url; }
    get body() { return this._body; }
    get withCredentials() { return this._withCredentials; }
}

module.exports = RequestData;
//# sourceMappingURL=RequestData.cjs.map
