/**
 * mock-xmlhttprequest v8.0.0
 * (c) 2022 Bertrand Guay-Paquet
 * @license ISC
 */
import XhrEvent from './XhrEvent.mjs';

/**
 * XMLHttpRequest ProgressEvent
 */
class XhrProgressEvent extends XhrEvent {
    /**
     * @param type Event type
     * @param loaded Loaded bytes
     * @param total Total bytes
     */
    constructor(type, loaded = 0, total = 0) {
        super(type);
        this.loaded = loaded;
        this.total = total;
        this.lengthComputable = total > 0;
    }
}

export { XhrProgressEvent as default };
//# sourceMappingURL=XhrProgressEvent.mjs.map
