export declare function getBodyByteSize(body?: string | FormData | Blob | BufferSource | null): number;
/**
 * See https://fetch.spec.whatwg.org/#forbidden-header-name
 *
 * @param name Header name
 * @returns Whether the request header name is forbidden for XMLHttpRequest
 */
export declare function isRequestHeaderForbidden(name: string): boolean;
/**
 * See https://fetch.spec.whatwg.org/#forbidden-method
 *
 * @param method Method name
 * @returns Whether the request method is forbidden for XMLHttpRequest
 */
export declare function isRequestMethodForbidden(method: string): boolean;
export declare const upperCaseMethods: string[];
/**
 * See https://fetch.spec.whatwg.org/#concept-method-normalize
 *
 * @param method HTTP method name
 * @returns Normalized method name
 */
export declare function normalizeHTTPMethodName(method: string): string;
/**
 * @param status HTTP status code
 * @returns Status text
 */
export declare function getStatusText(status: number): string;
//# sourceMappingURL=Utils.d.ts.map